Bug 451328 - Xorg segfault when changing resolution
Xorg segfault when changing resolution
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 16:08 EDT by Jesse Keating
Modified: 2018-04-11 08:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-18 12:56:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from X (24.97 KB, text/plain)
2008-06-13 16:08 EDT, Jesse Keating
no flags Details
Xorg.0.log (27.76 KB, text/plain)
2008-06-16 20:59 EDT, RJ Bergeron
no flags Details

  None (edit)
Description Jesse Keating 2008-06-13 16:08:11 EDT
I get this when I use the gui to change resolution (like when I connect an
external monitor to my laptop)

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x47a5d5]
1: /lib64/libc.so.6 [0x3a0cc322a0]
2: /usr/bin/Xorg(xf86ModesEqual+0) [0x4aa160]
3: /usr/bin/Xorg(xf86SetScrnInfoModes+0x194) [0x4a3a84]
4: /usr/bin/Xorg [0x4aba04]
5: /usr/bin/Xorg(RRGetInfo+0xdb) [0x527b7b]
6: /usr/bin/Xorg(ProcRRGetScreenSizeRange+0xa8) [0x52b3b8]
7: /usr/bin/Xorg(Dispatch+0x364) [0x4466d4]
8: /usr/bin/Xorg(main+0x45d) [0x42cbbd]
9: /lib64/libc.so.6(__libc_start_main+0xfa) [0x3a0cc1e32a]
10: /usr/bin/Xorg(FontFileCompleteXLFD+0x281) [0x42bf99]

Fatal server error:
Caught signal 11.  Server aborting


Attaching full log.
Comment 1 Jesse Keating 2008-06-13 16:08:11 EDT
Created attachment 309281 [details]
Log file from X
Comment 2 Jesse Keating 2008-06-13 16:09:12 EDT
xorg-x11-server-1.4.99.902-3.20080612.fc9 is the package my Server came from. 
This is actually an F9 issue, not rawhide (although it may also effect rawhide,
I just don't have that on this system).
Comment 3 RJ Bergeron 2008-06-16 20:58:29 EDT
I get this error when rotating the screen on my laptop using xrandr
(specifically xrandr --output LVDS --rotate left), I suspect it is related. I
have a very similar backtrace:

Current rotation: normal
Setting rotation to right

Backtrace:
0: X(xf86SigHandler+0x65) [0x47a5d5]
1: /lib64/libc.so.6 [0x3e800322a0]
2: X(xf86ModesEqual+0) [0x4aa160]
3: X(xf86SetScrnInfoModes+0x194) [0x4a3a84]
4: X [0x4aba04]
5: X(RRGetInfo+0xdb) [0x527b7b]
6: X(ProcRRGetScreenSizeRange+0xa8) [0x52b3b8]
7: X(Dispatch+0x364) [0x4466d4]
8: X(main+0x45d) [0x42cbbd]
9: /lib64/libc.so.6(__libc_start_main+0xfa) [0x3e8001e32a]
10: X(FontFileCompleteXLFD+0x281) [0x42bf99]

Fatal server error:
Caught signal 11.  Server aborting

This system is also running
xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.x86_64 when it crashes,
downgrading to xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.x86_64 had
rotation working again.

I'll include my Xorg.0.log as well.
Comment 4 RJ Bergeron 2008-06-16 20:59:38 EDT
Created attachment 309560 [details]
Xorg.0.log

Xorg.0.log from X crash when attempting to rotate screen
Comment 5 RJ Bergeron 2008-06-16 21:01:13 EDT
Comment on attachment 309560 [details]
Xorg.0.log

Xorg log from crash on resolution change
Comment 6 RJ Bergeron 2008-11-16 18:12:20 EST
This is working for me as of xorg-x11-server-Xorg-1.5.2-3.fc9.x86_64, should this be closed? (I suspect it's been working for a while, but had blocked xorg-x11-server-Xorg updates until intel driver forced me to update it)

RJ
Comment 7 Matěj Cepl 2008-11-18 07:44:08 EST
Jesse?
Comment 8 Jesse Keating 2008-11-18 12:56:36 EST
Correct, I haven't seen this in a long while.

Note You need to log in before you can comment on or make changes to this bug.